CVE-2006-1093
CVSS6.4
发布时间 :2006-03-09 08:06:00
修订时间 :2011-03-07 21:32:01
NMCOS    

[原文]Unspecified vulnerability in IBM WebSphere 5.0.2.10 through 5.0.2.15 and 5.1.1.4 through 5.1.1.9 allows remote attackers to obtain sensitive information via unknown attack vectors, which causes JSP source code to be revealed.


[CNNVD]IBM WebSphere应用服务器JSP源码泄露漏洞(CNNVD-200603-149)

        IBM Websphere应用服务器以Java和Servlet引擎为基础,支持多种HTTP服务,可帮助用户完成从开发、发布到维护交互式的动态网站的所有工作。
        IBM Websphere应用服务器在处理用户请求时存在问题,远程攻击者可能利用此漏洞获取服务器脚本的源码。
        在某些情况下,如果向服务器发送了特制的HTTP请求的话,Websphere应用服务器就可能向浏览器返回JSP源码内容。

- CVSS (基础分值)

CVSS分值: 6.4 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ibm:websphere_application_server:5.0.2IBM WebSphere Application Server 5.0.2
cpe:/a:ibm:websphere_application_server:5.0.2.9IBM WebSphere Application Server 5.0.2.9
cpe:/a:ibm:websphere_application_server:5.1.1.3IBM WebSphere Application Server 5.1.1.3
cpe:/a:ibm:websphere_application_server:5.0.2.1IBM WebSphere Application Server 5.0.2.1
cpe:/a:ibm:websphere_application_server:5.1.1.1IBM WebSphere Application Server 5.1.1.1
cpe:/a:ibm:websphere_application_server:5.1.1.7IBM WebSphere Application Server 5.1.1.7
cpe:/a:ibm:websphere_application_server:5.0.2.2IBM WebSphere Application Server 5.0.2.2
cpe:/a:ibm:websphere_application_server:5.0.2.12IBM WebSphere Application Server 5.0.2.12
cpe:/a:ibm:websphere_application_server:5.0.2.8IBM WebSphere Application Server 5.0.2.8
cpe:/a:ibm:websphere_application_server:5.1.1.5IBM WebSphere Application Server 5.1.1.5
cpe:/a:ibm:websphere_application_server:5.1.1.9IBM WebSphere Application Server 5.1.1.9
cpe:/a:ibm:websphere_application_server:5.0.2.13IBM WebSphere Application Server 5.0.2.13
cpe:/a:ibm:websphere_application_server:5.0.2.5IBM WebSphere Application Server 5.0.2.5
cpe:/a:ibm:websphere_application_server:5.1.1.4IBM WebSphere Application Server 5.1.1.4
cpe:/a:ibm:websphere_application_server:5.0.2.6IBM WebSphere Application Server 5.0.2.6
cpe:/a:ibm:websphere_application_server:5.0.2.4IBM WebSphere Application Server 5.0.2.4
cpe:/a:ibm:websphere_application_server:5.1.1.8IBM WebSphere Application Server 5.1.1.8
cpe:/a:ibm:websphere_application_server:5.1.1.2IBM WebSphere Application Server 5.1.1.2
cpe:/a:ibm:websphere_application_server:5.0.2.10IBM WebSphere Application Server 5.0.2.10
cpe:/a:ibm:websphere_application_server:5.0.2.7IBM WebSphere Application Server 5.0.2.7
cpe:/a:ibm:websphere_application_server:5.1.1IBM WebSphere Application Server 5.1.1
cpe:/a:ibm:websphere_application_server:5.0.2.3IBM WebSphere Application Server 5.0.2.3
cpe:/a:ibm:websphere_application_server:5.0.2.14IBM WebSphere Application Server 5.0.2.14
cpe:/a:ibm:websphere_application_server:5.0.2.11IBM WebSphere Application Server 5.0.2.11
cpe:/a:ibm:websphere_application_server:5.1.1.6IBM WebSphere Application Server 5.1.1.6

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1093
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1093
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-149
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2006/0788
(UNKNOWN)  VUPEN  ADV-2006-0788
http://securitytracker.com/id?1015716
(VENDOR_ADVISORY)  SECTRACK  1015716
http://www.securityfocus.com/bid/16908
(UNKNOWN)  BID  16908

- 漏洞信息

IBM WebSphere应用服务器JSP源码泄露漏洞
中危 输入验证
2006-03-09 00:00:00 2006-03-09 00:00:00
远程  
        IBM Websphere应用服务器以Java和Servlet引擎为基础,支持多种HTTP服务,可帮助用户完成从开发、发布到维护交互式的动态网站的所有工作。
        IBM Websphere应用服务器在处理用户请求时存在问题,远程攻击者可能利用此漏洞获取服务器脚本的源码。
        在某些情况下,如果向服务器发送了特制的HTTP请求的话,Websphere应用服务器就可能向浏览器返回JSP源码内容。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.ibm.com/software/webservers/appserv/was/support

- 漏洞信息

23798
IBM WebSphere Unspecified JSP Source Disclosure
Information Disclosure
Loss of Integrity Patch / RCS
Vendor Verified

- 漏洞描述

- 时间线

2006-02-28 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, IBM has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

IBM WebSphere Application Server JSP Source Code Disclosure Vulnerability
Input Validation Error 16908
Yes No
2006-03-01 12:00:00 2007-06-27 09:08:00
This issue was reported by IBM.

- 受影响的程序版本

IBM Websphere Application Server 5.1.1 .9
IBM Websphere Application Server 5.1.1 .8
IBM Websphere Application Server 5.1.1 .7
IBM Websphere Application Server 5.1.1 .6
IBM Websphere Application Server 5.1.1 .5
IBM Websphere Application Server 5.1.1 .4
IBM Websphere Application Server 5.0.2 .15
IBM Websphere Application Server 5.0.2 .14
IBM Websphere Application Server 5.0.2 .13
IBM Websphere Application Server 5.0.2 .12
IBM Websphere Application Server 5.0.2 .11
IBM Websphere Application Server 5.0.2 .10
IBM Websphere Application Server 6.0.2
IBM Websphere Application Server 5.1.1 .10
IBM Websphere Application Server 5.0.2 .16

- 不受影响的程序版本

IBM Websphere Application Server 6.0.2
IBM Websphere Application Server 5.1.1 .10
IBM Websphere Application Server 5.0.2 .16

- 漏洞讨论

IBM WebSphere Application Server is prone to a sourcecode-disclosure vulnerability. An attacker can exploit this issue by supplying malformed HTTP requests to the server to disclose JSP sourcecode.

This issue allows remote attackers to gain access to the contents of potentially sensitive JSP source pages, aiding them in further attacks.

- 漏洞利用

An attacker likely utilizes a web browser to exploit this issue.

- 解决方案

IBM has released fixes and an advisory to address this issue. Please see the referenced advisory for information on obtaining fixes.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站